summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/hc2vpp')
-rw-r--r--jjb/hc2vpp/hc2vpp-csit.yaml421
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh34
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh34
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh34
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify-odl.sh42
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh89
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh42
7 files changed, 0 insertions, 696 deletions
diff --git a/jjb/hc2vpp/hc2vpp-csit.yaml b/jjb/hc2vpp/hc2vpp-csit.yaml
deleted file mode 100644
index 76ef8741a..000000000
--- a/jjb/hc2vpp/hc2vpp-csit.yaml
+++ /dev/null
@@ -1,421 +0,0 @@
----
-- project:
- name: hc2vpp-csit
- description: 'jenkins jobs to test Hc2vpp features.'
- jobs:
- - 'hc2vpp-csit-integration-{stream}-{os}'
- - 'hc2vpp-csit-verify-{stream}-{os}'
- - 'hc2vpp-csit-integration-odl-{odl}-{stream}-{os}'
- - 'hc2vpp-csit-verify-odl-{odl}-{stream}-{os}'
- project: 'hc2vpp'
- build-artifact-num-to-keep: 10
- stream:
- - master:
- branch: 'master'
- repo-stream-part: 'master'
- - '1904':
- branch: 'stable/1904'
- repo-stream-part: 'stable.1904'
-
- os:
- - ubuntu1804:
- repo-os-part: 'ubuntu.bionic.main'
-
- odl: 'neon'
-
-- project:
- name: csit-hc2vpp-perf
- description: 'jenkins jobs to test Hc2vpp performance.'
- jobs:
- - 'hc2vpp-csit-perf-{stream}-{os}'
- project: 'hc2vpp'
- build-artifact-num-to-keep: 10
- stream:
- - master:
- branch: 'master'
- repo-stream-part: 'master'
-
- os:
- - ubuntu1804:
- repo-os-part: 'ubuntu.bionic.main'
-
- odl: 'neon'
-
-- job-template:
- name: 'hc2vpp-csit-integration-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
- archive-artifacts: '**/csit/archive/*.*'
- latest-only: false
-
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - git-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- branch: '{branch}'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - reverse:
- jobs: 'hc2vpp-integration-{stream}-{os}'
- result: 'success'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-integration.sh
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
-
- - robot-report:
- output-path: 'csit/archive'
-
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-csit-verify-{stream}-{os}'
-
- project-type: maven
- node: '{os}-builder-4c-4g'
- jdk: openjdk8-{os}
- concurrent: true
- archive-artifacts: '**/csit/archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - maven-project-parameter:
- maven: 'mvn36'
- - maven-exec:
- maven-version: 'mvn36'
- - stream-parameter:
- stream: '{stream}'
- - odl-parameter:
- odl: '{odl}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'verify-csit'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
-
- prebuilders:
- - provide-maven-settings:
- settings-file: 'honeycomb-settings'
- global-settings-file: 'global-settings'
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-verify-prebuild.sh
-
- maven:
- maven-name: 'mvn36'
- root-pom: 'pom.xml'
- # yamllint disable-line rule:line-length
- goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -DskipTests -Dcheckstyle.skip=true'
- maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
-
- postbuilders:
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-verify.sh
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
-
- - robot-report:
- output-path: 'csit/archive'
-
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-csit-integration-odl-{odl}-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
- archive-artifacts: '**/csit/archive/*.*'
- latest-only: false
-
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - odl-parameter:
- odl: '{odl}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - git-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- branch: '{branch}'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - reverse:
- jobs: 'hc2vpp-integration-{stream}-{os}'
- result: 'success'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-integration-odl.sh
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
-
- - robot-report:
- output-path: 'csit/archive'
-
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-csit-verify-odl-{odl}-{stream}-{os}'
-
- project-type: maven
- node: '{os}-builder-4c-4g'
- jdk: openjdk8-{os}
- concurrent: true
- archive-artifacts: '**/csit/archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - maven-project-parameter:
- maven: 'mvn36'
- - maven-exec:
- maven-version: 'mvn36'
- - stream-parameter:
- stream: '{stream}'
- - odl-parameter:
- odl: '{odl}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'verify-csit'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
-
- prebuilders:
- - provide-maven-settings:
- settings-file: 'honeycomb-settings'
- global-settings-file: 'global-settings'
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-verify-prebuild.sh
-
- maven:
- maven-name: 'mvn36'
- root-pom: 'pom.xml'
- # yamllint disable-line rule:line-length
- goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -DskipTests -Dcheckstyle.skip=true'
- maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
-
- postbuilders:
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-verify-odl.sh
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
-
- - robot-report:
- output-path: 'csit/archive'
-
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-csit-perf-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: false
- archive-artifacts: '**/csit/archive/*.*'
- latest-only: false
-
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - odl-parameter:
- odl: '{odl}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - timed: '@weekly'
-
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'verify-perf'
-
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: false
- failed: false
- unstable: false
- notbuilt: false
-
- builders:
- - shell:
- !include-raw-escape: include-raw-hc2vpp-csit-perf.sh
-
- publishers:
- - robot-report:
- output-path: 'csit/archive'
-
- - lf-infra-publish
-
-- parameter:
- name: odl-parameter
- parameters:
- - string:
- name: ODL
- default: '{odl}'
- description: "ODL version parameter."
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
deleted file mode 100644
index d21d19343..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Get CSIT branch
-if [[ -f csit-test-branch ]]; then
- chmod +x csit-test-branch
- CSIT_BRANCH=`./csit-test-branch`
-else
- CSIT_BRANCH='master'
-fi
-
-# Clone csit
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
-
-# If the git clone fails, complain clearly and exit
-if [[ $? != 0 ]]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit 1
-fi
-
-cd csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-integration-odl.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-integration-odl.sh
- # run the script
- ./bootstrap-hc2vpp-integration-odl.sh ${STREAM} ${OS} ${ODL}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
deleted file mode 100644
index 84a381839..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Get CSIT branch
-if [[ -f csit-test-branch ]]; then
- chmod +x csit-test-branch
- CSIT_BRANCH=`./csit-test-branch`
-else
- CSIT_BRANCH='master'
-fi
-
-# Clone csit
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
-
-# If the git clone fails, complain clearly and exit
-if [[ $? != 0 ]]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit 1
-fi
-
-cd csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-integration.sh
- # run the script
- ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
deleted file mode 100644
index bf46af58a..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Get CSIT branch
-if [[ -f csit-test-branch ]]; then
- chmod +x csit-test-branch
- CSIT_BRANCH=`./csit-test-branch`
-else
- CSIT_BRANCH='master'
-fi
-
-# Clone csit
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
-
-# If the git clone fails, complain clearly and exit
-if [[ $? != 0 ]]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit 1
-fi
-
-cd csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-perf.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-perf.sh
- # run the script
- ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS} ${ODL}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-odl.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-odl.sh
deleted file mode 100644
index 271668d52..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-odl.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Figure out what system we are running on
-if [[ -f /etc/lsb-release ]];then
- . /etc/lsb-release
-elif [[ -f /etc/redhat-release ]];then
- sudo yum install -y redhat-lsb
- DISTRIB_ID=`lsb_release -si`
- DISTRIB_RELEASE=`lsb_release -sr`
- DISTRIB_CODENAME=`lsb_release -sc`
- DISTRIB_DESCRIPTION=`lsb_release -sd`
-fi
-echo "----- OS INFO -----"
-echo DISTRIB_ID: ${DISTRIB_ID}
-echo DISTRIB_RELEASE: ${DISTRIB_RELEASE}
-echo DISTRIB_CODENAME: ${DISTRIB_CODENAME}
-echo DISTRIB_DESCRIPTION: ${DISTRIB_DESCRIPTION}
-DISTRIB_ID="Ubuntu"
-if [[ "$DISTRIB_ID" != "Ubuntu" ]]; then
- echo 'ERROR: Only Ubuntu is supported currently.'
- exit 2
-fi
-
-# create HC .deb packages
-./packaging/deb/${DISTRIB_CODENAME}/debuild.sh
-cp ./packaging/deb/${DISTRIB_CODENAME}/*.deb ${WORKSPACE}/csit
-
-cd ${WORKSPACE}/csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-verify.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-verify.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-verify.sh
- # run the script
- ./bootstrap-hc2vpp-verify-odl.sh ${OS} ${ODL}
-fi
-
-# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
deleted file mode 100644
index 8e0c4ef91..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
+++ /dev/null
@@ -1,89 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-
-# Parse optional arguments from gerrit comment trigger
-for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
- case ${i} in
- *honeycomb=*)
- hc_commit_id=`echo "${i}" | cut -d = -f2-`
- ;;
- *jvpp=*)
- jvpp_commit_id=`echo "${i}" | cut -d = -f2-`
- ;;
- *vpp=*)
- vpp_commit_id=`echo "${i}" | cut -d = -f2-`
- ;;
- *nsh_sfc=*)
- nsh_commit_id=`echo "${i}" | cut -d = -f2-`
- ;;
- *csit=*)
- csit_commit_id=`echo "${i}" | cut -d = -f2-`
- ;;
- *)
- ;;
- esac
-done
-
-# If HC variable is set, clone and build Honeycomb infra from the specified commit
-# Otherwise skip this step, hc2vpp will use Honeycomb snapshots from Nexus
-if [[ -n "${hc_commit_id}" ]]; then
- git clone https://gerrit.fd.io/r/honeycomb
- cd honeycomb
- ref=`git ls-remote -q | grep ${hc_commit_id} | awk '{print $2}'`
- git fetch origin ${ref} && git checkout FETCH_HEAD
- mvn clean install -DskipTests -Dcheckstyle.skip -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}"
- if [[ $? != 0 ]]; then
- echo "Honeycomb infra build failed."
- exit 1
- fi
- cd ${WORKSPACE}
- # Clean up when done. Leftover build files interfere with building hc2vpp.
- rm -rf honeycomb
-fi
-
-# TODO: Add option to build custom VPP and NSH packages
-
-# Get CSIT branch from which to test from
-if [[ -f csit-test-branch ]]; then
- chmod +x csit-test-branch
- CSIT_BRANCH=`./csit-test-branch`
-else
- CSIT_BRANCH='master'
-fi
-
-# Clone csit
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
-
-# If the git clone fails, complain clearly and exit
-if [[ $? != 0 ]]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit 1
-fi
-
-cd csit
-
-# If CSIT commit ID is given, checkout the specified commit
-if [[ -n "${csit_commit_id}" ]]; then
- # Example:
- # ...
- # e8f326efebb58e28dacb9ebb653baf95aad1448c refs/changes/08/11808/1
- # ...
- ref=`git ls-remote -q | grep ${csit_commit_id} | awk '{print $2}'`
- git fetch origin ${ref} && git checkout FETCH_HEAD
-fi
-
-# Download VPP packages
-if [[ "1807 1810 1901" =~ .*$STREAM.* ]]; then
- # add stable prefix for branches which have older version of package download script
- # This can be removed when support for 1901 branch ends.
- if [[ -n "${jvpp_commit_id}" ]]; then
- echo "Error: Specifying jvpp custom commit is not supported for 1807,1810,1901 stable branches"
- exit 1
- fi
- ./resources/tools/scripts/download_hc_build_pkgs.sh 'stable.'${STREAM} ${OS}
-else
- # master and 1904+ branches use new package-cloud download script
- ./resources/tools/scripts/download_hc_build_pkgs.sh ${STREAM} ${OS} ${jvpp_commit_id}
-fi
-
-cd ${WORKSPACE}
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
deleted file mode 100644
index 21dc80ced..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Figure out what system we are running on
-if [[ -f /etc/lsb-release ]];then
- . /etc/lsb-release
-elif [[ -f /etc/redhat-release ]];then
- sudo yum install -y redhat-lsb
- DISTRIB_ID=`lsb_release -si`
- DISTRIB_RELEASE=`lsb_release -sr`
- DISTRIB_CODENAME=`lsb_release -sc`
- DISTRIB_DESCRIPTION=`lsb_release -sd`
-fi
-echo "----- OS INFO -----"
-echo DISTRIB_ID: ${DISTRIB_ID}
-echo DISTRIB_RELEASE: ${DISTRIB_RELEASE}
-echo DISTRIB_CODENAME: ${DISTRIB_CODENAME}
-echo DISTRIB_DESCRIPTION: ${DISTRIB_DESCRIPTION}
-
-if [[ "$DISTRIB_ID" != "Ubuntu" ]]; then
- echo 'ERROR: Only Ubuntu is supported currently.'
- exit 2
-fi
-
-# create HC .deb packages
-./packaging/deb/${DISTRIB_CODENAME}/debuild.sh
-cp ./packaging/deb/${DISTRIB_CODENAME}/*.deb ${WORKSPACE}/csit
-
-cd ${WORKSPACE}/csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-verify.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-verify.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-verify.sh
- # run the script
- ./bootstrap-hc2vpp-verify.sh ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file